treil_1.8-2.2build2_i386.deb


Advertisement

Description

treil - tree structure into tiles

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: treil
Package version: 1.8
Package release: 2.2build2
Package architecture: i386
Package type: deb
Installed size: 68 B
Download size: 12.88 KB
Official Mirror: archive.ubuntu.com
Treil is a utility which produces an image of tiles from tree structure. For example, Linux directory tree can be shown as an image of tiles, by: $ treil -o linux.png /usr/src/linux

Alternatives

    Download

    Source package: treil

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install treil deb package:
      # sudo apt-get install treil

    Files

    • /usr/bin/treil
    • /usr/lib/i386-linux-gnu/ruby/2.3.0/treil.so
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil.rb
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/cairo.rb
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/color.rb
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/config.rb
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/gd.rb
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/htmlmap.html
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/htmlmap.rb
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/reader.rb
    • /usr/lib/ruby/vendor_ruby/2.3.0/treil/writer.rb
    • /usr/share/doc/treil/README
    • /usr/share/doc/treil/changelog.Debian.gz
    • /usr/share/doc/treil/copyright
    • /usr/share/man/man1/treil.1.gz

    Changelog

    2016-03-14 - Matthias Klose <doko@ubuntu.com> treil (1.8-2.2build2) xenial; urgency=medium * No-change rebuild for ruby2.3-only support.

    2016-01-21 - Matthias Klose <doko@ubuntu.com> treil (1.8-2.2build1) xenial; urgency=medium * No-change rebuild to drop ruby2.1 support.

    2015-11-03 - Christian Hofstaedtler <zeha@debian.org> treil (1.8-2.2) unstable; urgency=medium * Non-maintainer upload. * Use RbConfig instead of now removed Config to fix build with ruby 2.2. (Closes: #791846)

    2014-04-16 - Antonio Terceiro <terceiro@debian.org> treil (1.8-2.1) unstable; urgency=medium * Non-maintainer upload. * Make the package build against whatever Ruby version is the default (Closes: #739123)

    2013-07-10 - NIIBE Yutaka <gniibe@fsij.org> treil (1.8-2) unstable; urgency=low * debian/source/format: New. * debian/compat: Require 9. * debian/control (Build-Depends): Require debhelper >= 9. Use ruby 1.9.1. (Standards-Version): Conforms to 3.9.4. (Homepage): New. (Depends): Add ${misc:Depends} for debhelper. [libtreil0] (Multi-Arch, Pre-Depends): New. * debian/patches/01-makefiles.diff: New. * debian/patches/02-rbconfig.diff: New. * debian/rules: Re-write using newer debhelper. * debian/treil.manpages: New. * debian/*.install: Update. * Incorporate NMUs.

    2013-07-06 - Colin Watson <cjwatson@debian.org> treil (1.8-1.2) unstable; urgency=low * Non-maintainer upload. * Build-depend/depend on ruby-cairo rather than libcairo-ruby1.8 (closes: #713112).

    2012-07-10 - Scott Kitterman <scott@kitterman.com> treil (1.8-1.1) unstable; urgency=low * Non-maintainer upload. * Specify use of ruby1.8 in debian/rules and add --with-ruby=ruby1.8 since ruby is now 1.9 (Closes: #676120) * Make treil specifically depend on ruby1.8

    2008-02-29 - NIIBE Yutaka <gniibe@fsij.org> treil (1.8-1) unstable; urgency=low * New upstream release.

    2008-01-23 - NIIBE Yutaka <gniibe@fsij.org> treil (1.7-1) unstable; urgency=low * New upstream release. Now, struct treil_tree has "long long" for size, should fixes problems for large files. (Closes: #415218, #459855). Thanks to Daniel Roschka and A. Costa for their reports. * debian/control (Build-Depends): Removed libexpat1-dev, no longer required.

    2008-01-15 - NIIBE Yutaka <gniibe@fsij.org> treil (1.6-1) unstable; urgency=low * New upstream release. * debian/control (Standards-Version): It comforms 3.7.3. (Build-Depends): Added libexpat1-dev. (Section): Moved to 'utils' (was: 'games'). Because lintian complains. * configure.ac: Substitute lib_treil_la_LIBS, when libexpat will be found. * Makefile.am: Use lib_treil_la_LIBADD for -lexpat (not generic LIBS). * ruby/extconf.rb.in ($libs): Removed @LIBS@, and don't use +=. * ruby/Makefile.am: Avoid linking non-needed libraries (Ruby's mkmf is not that precise), by supplying LIBS.

    Advertisement
    Advertisement